# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl

%define name    gpar2
%define version 0.3
%define release 1.2007mcnl
%define summary PAR 2
%define section System/Archiving/Compression

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://parchive.sourceforge.net/
License:        GPL
Group:          Archiving/Compression
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz
Source1:        gkrellm2_128x128.png

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libpar2-devel  libgtkmm2.4_1-devel 
Requires: libpar2


%description
GPar2 is a GUI for par2 recovery sets.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
%configure 

%make 

%install

make install DESTDIR=$RPM_BUILD_ROOT

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="GPar2" \
longtitle="%summary"
EOF

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Gpar2
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-System-Archiving-Other;
EOF

#icons
%define  nameicon %SOURCE1
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files 
%defattr(-,root,root,0755) 
%doc README ABOUT-NLS COPYING AUTHORS ChangeLog
%{_bindir}/%{name}
%{_menudir}/gpar2
%{_datadir}/locale/fr/LC_MESSAGES/gpar2.mo
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Oct 14 2006 Marco Meijer <marco@mandrivaclub.nl> 0.3-1.2007mcnl
  new version 

* Fri Feb 3 2006 Marco Meijer <marco@mandrivaclub.nl> 0.2-1.2006mcnl
  First build for Mandrivaclub.nl



